Loading...
Searching...
No Matches
Ogre::SimpleParamCommand< _Class, Param, getter, setter > Class Template Reference
Core » General

Generic ParamCommand implementation stores pointers to the class getter and setter functions. More...

`#include <OgreStringInterface.h>`

Inheritance diagram for Ogre::SimpleParamCommand< _Class, Param, getter, setter >:
[legend]

## Public Member Functions

String | doGet (const void *target) const override
void | doSet (void *target, const String &val) override

## Detailed Description

template<typename _Class, typename Param, Param(_Class::*)() const getter, void(_Class::*)(Param) setter>
class Ogre::SimpleParamCommand< _Class, Param, getter, setter >

Generic ParamCommand implementation stores pointers to the class getter and setter functions.

## Member Function Documentation

## doGet()

template<typename _Class, typename Param, Param(_Class::*)() const getter, void(_Class::*)(Param) setter>

String Ogre::SimpleParamCommand< _Class, Param, getter, setter >::doGet | ( | const void * | target | ) | const

inline override

References Ogre::StringConverter::toString().

## doSet()

template<typename _Class, typename Param, Param(_Class::*)() const getter, void(_Class::*)(Param) setter>

void Ogre::SimpleParamCommand< _Class, Param, getter, setter >::doSet | ( | void * | target,
|  | const String & | val )

inline override

References Ogre::StringConverter::parse().

The documentation for this class was generated from the following file:

- OgreStringInterface.h